//----------------------------------------------------------------------------------------------------------------------
// VersionResourceAccess
//----------------------------------------------------------------------------------------------------------------------

import axios from 'axios';

//----------------------------------------------------------------------------------------------------------------------

class VersionResourceAccess
{
    async getVersion() : Promise<string>
    {
        const { data } = await axios.get('/version');
        return data.version;
    }
}

//----------------------------------------------------------------------------------------------------------------------

export default new VersionResourceAccess();

//----------------------------------------------------------------------------------------------------------------------
